Network
All operations require authentication.
List IP blocksProduction
List IP blocks. Returns all the IPs of the server, each as an IP block. To move a failover IP to the server, use the ipMove operation.
Path parameters
The internal name of your dedicated server
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dedicated/ server/ {serviceName}/ ips \
-H "authorization: Bearer $OVH_TOKEN"[ "192.0.2.0/24"]
Move a failover IP to the serverProduction
Move a failover IP to the server. Moves the given failover IP block to the server. Returns the task that performs the move.
Path parameters
The internal name of your dedicated server
Request body (required)
The ip to move to this server
Response
UUID of the change linked to this task
Details of this task
Completion date
Function name
INFRA_002_VirtualNetworkInterfaceINFRA_002_VirtualNetworkInterface_groupINFRA_002_VirtualNetworkInterface_ungroupINFRA_ONE_NETWORK_ONEAPI_VirtualNetworkInterface_groupINFRA_ONE_NETWORK_ONEAPI_VirtualNetworkInterface_ungroupINFRA_ONE_NETWORK_VirtualNetworkInterface_groupINFRA_ONE_NETWORK_VirtualNetworkInterface_ungroupaddVirtualMacaddWindowSplaFromExistingSerialapplyBackupFtpAclsapplyBackupFtpQuotabypassAntiDDosGamechangePasswordBackupFTPchangeRipeOrgcheckAndReleaseIpcreateBackupFTPcreateOrUpdateRipeOrgcreatePrivateNetworkdisableFirewallenableFirewallgenericMoveFloatingIphardReboothardware_updateipmi/configureSGXmigrateBackupFTPmoveFloatingIpmoveVirtualMacreagregateBlockrebootPower8ToreinstallServerreleaseIpremoveBackupFTPremoveVirtualMacrequestAccessIPMIresetIPMIresetIPMISessiontestIPMIhttptestIPMIpasswordtestIPMIpingvirtualMacAddvirtualMacDeletelast update
Whether this task need to be scheduled or not
Extra information about this task
ID of the planned intervention for this task
Task Creation date
Task status
cancelledcustomerErrordoingdoneinitovhErrortodoTask result tags output
the id of the task
Reference of the thread on the support tool
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dedicated/ server/ {serviceName}/ ipMove \
-H "authorization: Bearer $OVH_TOKEN"{ "changeUuid": "string", "comment": "string", "doneDate": "2024-01-01T12:00:00Z", "function": "INFRA_002_VirtualNetworkInterface", "lastUpdate": "2024-01-01T12:00:00Z", "needSchedule": true, "note": "string", "plannedInterventionId": 0, "startDate": "2024-01-01T12:00:00Z", "status": "cancelled", "tags": [ { "key": "string", "value": "string" } ], "taskId": 0, "ticketReference": "string"}
Merge a split IP blockProduction
Merge a split IP block. Merges a split IP block and routes it to the server. This operation cannot be undone. Returns the task that performs the merge.
Path parameters
The internal name of your dedicated server
Request body (required)
The splitted block you want to merge
Response
UUID of the change linked to this task
Details of this task
Completion date
Function name
INFRA_002_VirtualNetworkInterfaceINFRA_002_VirtualNetworkInterface_groupINFRA_002_VirtualNetworkInterface_ungroupINFRA_ONE_NETWORK_ONEAPI_VirtualNetworkInterface_groupINFRA_ONE_NETWORK_ONEAPI_VirtualNetworkInterface_ungroupINFRA_ONE_NETWORK_VirtualNetworkInterface_groupINFRA_ONE_NETWORK_VirtualNetworkInterface_ungroupaddVirtualMacaddWindowSplaFromExistingSerialapplyBackupFtpAclsapplyBackupFtpQuotabypassAntiDDosGamechangePasswordBackupFTPchangeRipeOrgcheckAndReleaseIpcreateBackupFTPcreateOrUpdateRipeOrgcreatePrivateNetworkdisableFirewallenableFirewallgenericMoveFloatingIphardReboothardware_updateipmi/configureSGXmigrateBackupFTPmoveFloatingIpmoveVirtualMacreagregateBlockrebootPower8ToreinstallServerreleaseIpremoveBackupFTPremoveVirtualMacrequestAccessIPMIresetIPMIresetIPMISessiontestIPMIhttptestIPMIpasswordtestIPMIpingvirtualMacAddvirtualMacDeletelast update
Whether this task need to be scheduled or not
Extra information about this task
ID of the planned intervention for this task
Task Creation date
Task status
cancelledcustomerErrordoingdoneinitovhErrortodoTask result tags output
the id of the task
Reference of the thread on the support tool
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dedicated/ server/ {serviceName}/ ipBlockMerge \
-H "authorization: Bearer $OVH_TOKEN"{ "changeUuid": "string", "comment": "string", "doneDate": "2024-01-01T12:00:00Z", "function": "INFRA_002_VirtualNetworkInterface", "lastUpdate": "2024-01-01T12:00:00Z", "needSchedule": true, "note": "string", "plannedInterventionId": 0, "startDate": "2024-01-01T12:00:00Z", "status": "cancelled", "tags": [ { "key": "string", "value": "string" } ], "taskId": 0, "ticketReference": "string"}
Check if an IP can be movedProduction
Check if an IP can be moved. Checks whether the given IP block can be moved to the server. The response has no content when the move is possible, and an error otherwise.
Path parameters
The internal name of your dedicated server
Query parameters
The ip to move to this server
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dedicated/ server/ {serviceName}/ ipCanBeMovedTo \
-H "authorization: Bearer $OVH_TOKEN"List available IP countriesProduction
List available IP countries. Returns the countries in which an IP can be ordered for the server. Each value is a country code, for example fr, de or us.
Path parameters
The internal name of your dedicated server
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dedicated/ server/ {serviceName}/ ipCountryAvailable \
-H "authorization: Bearer $OVH_TOKEN"[ "au"]
List virtual MACsProduction
List virtual MACs. Returns the virtual MAC addresses of the server. Each virtual MAC is associated with one or more IP addresses.
Path parameters
The internal name of your dedicated server
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dedicated/ server/ {serviceName}/ virtualMac \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Create a virtual MACProduction
Create a virtual MAC. Creates a virtual MAC address of type ovh or vmware and links it to an IP address. The virtualMachineName parameter is a friendly name for the virtual machine behind this IP. Returns a task.
Path parameters
The internal name of your dedicated server
Request body (required)
Ip address to link with this virtualMac
vmac address type
ovhvmwareFriendly name of your Virtual Machine behind this IP/MAC
Response
UUID of the change linked to this task
Details of this task
Completion date
Function name
INFRA_002_VirtualNetworkInterfaceINFRA_002_VirtualNetworkInterface_groupINFRA_002_VirtualNetworkInterface_ungroupINFRA_ONE_NETWORK_ONEAPI_VirtualNetworkInterface_groupINFRA_ONE_NETWORK_ONEAPI_VirtualNetworkInterface_ungroupINFRA_ONE_NETWORK_VirtualNetworkInterface_groupINFRA_ONE_NETWORK_VirtualNetworkInterface_ungroupaddVirtualMacaddWindowSplaFromExistingSerialapplyBackupFtpAclsapplyBackupFtpQuotabypassAntiDDosGamechangePasswordBackupFTPchangeRipeOrgcheckAndReleaseIpcreateBackupFTPcreateOrUpdateRipeOrgcreatePrivateNetworkdisableFirewallenableFirewallgenericMoveFloatingIphardReboothardware_updateipmi/configureSGXmigrateBackupFTPmoveFloatingIpmoveVirtualMacreagregateBlockrebootPower8ToreinstallServerreleaseIpremoveBackupFTPremoveVirtualMacrequestAccessIPMIresetIPMIresetIPMISessiontestIPMIhttptestIPMIpasswordtestIPMIpingvirtualMacAddvirtualMacDeletelast update
Whether this task need to be scheduled or not
Extra information about this task
ID of the planned intervention for this task
Task Creation date
Task status
cancelledcustomerErrordoingdoneinitovhErrortodoTask result tags output
the id of the task
Reference of the thread on the support tool
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dedicated/ server/ {serviceName}/ virtualMac \
-H "authorization: Bearer $OVH_TOKEN"{ "changeUuid": "string", "comment": "string", "doneDate": "2024-01-01T12:00:00Z", "function": "INFRA_002_VirtualNetworkInterface", "lastUpdate": "2024-01-01T12:00:00Z", "needSchedule": true, "note": "string", "plannedInterventionId": 0, "startDate": "2024-01-01T12:00:00Z", "status": "cancelled", "tags": [ { "key": "string", "value": "string" } ], "taskId": 0, "ticketReference": "string"}
Get a virtual MACProduction
Get a virtual MAC. Returns the virtual MAC address, in 00:00:00:00:00:00 format, and its type: ovh or vmware.
Path parameters
Virtual MAC address in 00:00:00:00:00:00 format
The internal name of your dedicated server
Response
Virtual MAC address in 00:00:00:00:00:00 format
Virtual MAC address type
ovhvmwareExample uses macAddress = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dedicated/ server/ {serviceName}/ virtualMac/ {macAddress} \
-H "authorization: Bearer $OVH_TOKEN"{ "macAddress": "string", "type": "ovh"}
List IPs of a virtual MACProduction
List IPs of a virtual MAC. Returns the IPv4 addresses associated with the virtual MAC. A virtual MAC can be associated with one or more IPs.
Path parameters
Virtual MAC address in 00:00:00:00:00:00 format
The internal name of your dedicated server
Response
Example uses macAddress = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dedicated/ server/ {serviceName}/ virtualMac/ {macAddress}/ virtualAddress \
-H "authorization: Bearer $OVH_TOKEN"[ "192.0.2.0"]
Add an IP to a virtual MACProduction
Add an IP to a virtual MAC. Associates an IPv4 address with the virtual MAC, with a friendly name for the virtual machine behind it. Returns a task.
Path parameters
Virtual MAC address in 00:00:00:00:00:00 format
The internal name of your dedicated server
Request body (required)
IP address to link to this virtual MAC
Friendly name of your Virtual Machine behind this IP/MAC
Response
UUID of the change linked to this task
Details of this task
Completion date
Function name
INFRA_002_VirtualNetworkInterfaceINFRA_002_VirtualNetworkInterface_groupINFRA_002_VirtualNetworkInterface_ungroupINFRA_ONE_NETWORK_ONEAPI_VirtualNetworkInterface_groupINFRA_ONE_NETWORK_ONEAPI_VirtualNetworkInterface_ungroupINFRA_ONE_NETWORK_VirtualNetworkInterface_groupINFRA_ONE_NETWORK_VirtualNetworkInterface_ungroupaddVirtualMacaddWindowSplaFromExistingSerialapplyBackupFtpAclsapplyBackupFtpQuotabypassAntiDDosGamechangePasswordBackupFTPchangeRipeOrgcheckAndReleaseIpcreateBackupFTPcreateOrUpdateRipeOrgcreatePrivateNetworkdisableFirewallenableFirewallgenericMoveFloatingIphardReboothardware_updateipmi/configureSGXmigrateBackupFTPmoveFloatingIpmoveVirtualMacreagregateBlockrebootPower8ToreinstallServerreleaseIpremoveBackupFTPremoveVirtualMacrequestAccessIPMIresetIPMIresetIPMISessiontestIPMIhttptestIPMIpasswordtestIPMIpingvirtualMacAddvirtualMacDeletelast update
Whether this task need to be scheduled or not
Extra information about this task
ID of the planned intervention for this task
Task Creation date
Task status
cancelledcustomerErrordoingdoneinitovhErrortodoTask result tags output
the id of the task
Reference of the thread on the support tool
Example uses macAddress = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dedicated/ server/ {serviceName}/ virtualMac/ {macAddress}/ virtualAddress \
-H "authorization: Bearer $OVH_TOKEN"{ "changeUuid": "string", "comment": "string", "doneDate": "2024-01-01T12:00:00Z", "function": "INFRA_002_VirtualNetworkInterface", "lastUpdate": "2024-01-01T12:00:00Z", "needSchedule": true, "note": "string", "plannedInterventionId": 0, "startDate": "2024-01-01T12:00:00Z", "status": "cancelled", "tags": [ { "key": "string", "value": "string" } ], "taskId": 0, "ticketReference": "string"}
Get an IP of a virtual MACProduction
Get an IP of a virtual MAC. Returns an IPv4 address associated with the virtual MAC and the friendly name of the virtual machine behind it.
Path parameters
IP address
Virtual MAC address in 00:00:00:00:00:00 format
The internal name of your dedicated server
Response
IP address
Friendly name of your Virtual Machine behind this IP/MAC
Example uses ipAddress = 192.0.2.0, macAddress = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dedicated/ server/ {serviceName}/ virtualMac/ {macAddress}/ virtualAddress/ {ipAddress} \
-H "authorization: Bearer $OVH_TOKEN"{ "ipAddress": "192.0.2.0", "virtualMachineName": "string"}
Remove an IP from a virtual MACProduction
Remove an IP from a virtual MAC. Removes the IPv4 address from the virtual MAC and returns a task. Removing the last linked IP also deletes the virtual MAC.
Path parameters
IP address
Virtual MAC address in 00:00:00:00:00:00 format
The internal name of your dedicated server
Response
UUID of the change linked to this task
Details of this task
Completion date
Function name
INFRA_002_VirtualNetworkInterfaceINFRA_002_VirtualNetworkInterface_groupINFRA_002_VirtualNetworkInterface_ungroupINFRA_ONE_NETWORK_ONEAPI_VirtualNetworkInterface_groupINFRA_ONE_NETWORK_ONEAPI_VirtualNetworkInterface_ungroupINFRA_ONE_NETWORK_VirtualNetworkInterface_groupINFRA_ONE_NETWORK_VirtualNetworkInterface_ungroupaddVirtualMacaddWindowSplaFromExistingSerialapplyBackupFtpAclsapplyBackupFtpQuotabypassAntiDDosGamechangePasswordBackupFTPchangeRipeOrgcheckAndReleaseIpcreateBackupFTPcreateOrUpdateRipeOrgcreatePrivateNetworkdisableFirewallenableFirewallgenericMoveFloatingIphardReboothardware_updateipmi/configureSGXmigrateBackupFTPmoveFloatingIpmoveVirtualMacreagregateBlockrebootPower8ToreinstallServerreleaseIpremoveBackupFTPremoveVirtualMacrequestAccessIPMIresetIPMIresetIPMISessiontestIPMIhttptestIPMIpasswordtestIPMIpingvirtualMacAddvirtualMacDeletelast update
Whether this task need to be scheduled or not
Extra information about this task
ID of the planned intervention for this task
Task Creation date
Task status
cancelledcustomerErrordoingdoneinitovhErrortodoTask result tags output
the id of the task
Reference of the thread on the support tool
Example uses ipAddress = 192.0.2.0, macAddress = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dedicated/ server/ {serviceName}/ virtualMac/ {macAddress}/ virtualAddress/ {ipAddress} \
-H "authorization: Bearer $OVH_TOKEN"{ "changeUuid": "string", "comment": "string", "doneDate": "2024-01-01T12:00:00Z", "function": "INFRA_002_VirtualNetworkInterface", "lastUpdate": "2024-01-01T12:00:00Z", "needSchedule": true, "note": "string", "plannedInterventionId": 0, "startDate": "2024-01-01T12:00:00Z", "status": "cancelled", "tags": [ { "key": "string", "value": "string" } ], "taskId": 0, "ticketReference": "string"}
Aggregate network interfacesBeta
Aggregate network interfaces. Groups virtual network interfaces into one link aggregation, under the given name. Returns a task.
Path parameters
The internal name of your dedicated server
Request body (required)
Resulting VirtualNetworkInterface name
Interfaces to aggregate
Response
UUID of the change linked to this task
Details of this task
Completion date
Function name
INFRA_002_VirtualNetworkInterfaceINFRA_002_VirtualNetworkInterface_groupINFRA_002_VirtualNetworkInterface_ungroupINFRA_ONE_NETWORK_ONEAPI_VirtualNetworkInterface_groupINFRA_ONE_NETWORK_ONEAPI_VirtualNetworkInterface_ungroupINFRA_ONE_NETWORK_VirtualNetworkInterface_groupINFRA_ONE_NETWORK_VirtualNetworkInterface_ungroupaddVirtualMacaddWindowSplaFromExistingSerialapplyBackupFtpAclsapplyBackupFtpQuotabypassAntiDDosGamechangePasswordBackupFTPchangeRipeOrgcheckAndReleaseIpcreateBackupFTPcreateOrUpdateRipeOrgcreatePrivateNetworkdisableFirewallenableFirewallgenericMoveFloatingIphardReboothardware_updateipmi/configureSGXmigrateBackupFTPmoveFloatingIpmoveVirtualMacreagregateBlockrebootPower8ToreinstallServerreleaseIpremoveBackupFTPremoveVirtualMacrequestAccessIPMIresetIPMIresetIPMISessiontestIPMIhttptestIPMIpasswordtestIPMIpingvirtualMacAddvirtualMacDeletelast update
Whether this task need to be scheduled or not
Extra information about this task
ID of the planned intervention for this task
Task Creation date
Task status
cancelledcustomerErrordoingdoneinitovhErrortodoTask result tags output
the id of the task
Reference of the thread on the support tool
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dedicated/ server/ {serviceName}/ ola/ aggregation \
-H "authorization: Bearer $OVH_TOKEN"{ "changeUuid": "string", "comment": "string", "doneDate": "2024-01-01T12:00:00Z", "function": "INFRA_002_VirtualNetworkInterface", "lastUpdate": "2024-01-01T12:00:00Z", "needSchedule": true, "note": "string", "plannedInterventionId": 0, "startDate": "2024-01-01T12:00:00Z", "status": "cancelled", "tags": [ { "key": "string", "value": "string" } ], "taskId": 0, "ticketReference": "string"}
Group network interfacesDeprecated
Deprecated since Jan 7, 2021, will be removed on Apr 7, 2021 — use /dedicated/server/{serviceName}/ola/aggregation instead.
Group network interfaces. Groups virtual network interfaces into one link aggregation, under the given name. Deprecated: use /dedicated/server/{serviceName}/ola/aggregation instead.
Path parameters
The internal name of your dedicated server
Request body (required)
Resulting VirtualNetworkInterface name
Interfaces to aggregate
Response
UUID of the change linked to this task
Details of this task
Completion date
Function name
INFRA_002_VirtualNetworkInterfaceINFRA_002_VirtualNetworkInterface_groupINFRA_002_VirtualNetworkInterface_ungroupINFRA_ONE_NETWORK_ONEAPI_VirtualNetworkInterface_groupINFRA_ONE_NETWORK_ONEAPI_VirtualNetworkInterface_ungroupINFRA_ONE_NETWORK_VirtualNetworkInterface_groupINFRA_ONE_NETWORK_VirtualNetworkInterface_ungroupaddVirtualMacaddWindowSplaFromExistingSerialapplyBackupFtpAclsapplyBackupFtpQuotabypassAntiDDosGamechangePasswordBackupFTPchangeRipeOrgcheckAndReleaseIpcreateBackupFTPcreateOrUpdateRipeOrgcreatePrivateNetworkdisableFirewallenableFirewallgenericMoveFloatingIphardReboothardware_updateipmi/configureSGXmigrateBackupFTPmoveFloatingIpmoveVirtualMacreagregateBlockrebootPower8ToreinstallServerreleaseIpremoveBackupFTPremoveVirtualMacrequestAccessIPMIresetIPMIresetIPMISessiontestIPMIhttptestIPMIpasswordtestIPMIpingvirtualMacAddvirtualMacDeletelast update
Whether this task need to be scheduled or not
Extra information about this task
ID of the planned intervention for this task
Task Creation date
Task status
cancelledcustomerErrordoingdoneinitovhErrortodoTask result tags output
the id of the task
Reference of the thread on the support tool
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dedicated/ server/ {serviceName}/ ola/ group \
-H "authorization: Bearer $OVH_TOKEN"{ "changeUuid": "string", "comment": "string", "doneDate": "2024-01-01T12:00:00Z", "function": "INFRA_002_VirtualNetworkInterface", "lastUpdate": "2024-01-01T12:00:00Z", "needSchedule": true, "note": "string", "plannedInterventionId": 0, "startDate": "2024-01-01T12:00:00Z", "status": "cancelled", "tags": [ { "key": "string", "value": "string" } ], "taskId": 0, "ticketReference": "string"}
Reset a network interfaceBeta
Reset a network interface. Resets a virtual network interface to its default configuration. Returns a task.
Path parameters
The internal name of your dedicated server
Request body (required)
Interface to reset
Response
UUID of the change linked to this task
Details of this task
Completion date
Function name
INFRA_002_VirtualNetworkInterfaceINFRA_002_VirtualNetworkInterface_groupINFRA_002_VirtualNetworkInterface_ungroupINFRA_ONE_NETWORK_ONEAPI_VirtualNetworkInterface_groupINFRA_ONE_NETWORK_ONEAPI_VirtualNetworkInterface_ungroupINFRA_ONE_NETWORK_VirtualNetworkInterface_groupINFRA_ONE_NETWORK_VirtualNetworkInterface_ungroupaddVirtualMacaddWindowSplaFromExistingSerialapplyBackupFtpAclsapplyBackupFtpQuotabypassAntiDDosGamechangePasswordBackupFTPchangeRipeOrgcheckAndReleaseIpcreateBackupFTPcreateOrUpdateRipeOrgcreatePrivateNetworkdisableFirewallenableFirewallgenericMoveFloatingIphardReboothardware_updateipmi/configureSGXmigrateBackupFTPmoveFloatingIpmoveVirtualMacreagregateBlockrebootPower8ToreinstallServerreleaseIpremoveBackupFTPremoveVirtualMacrequestAccessIPMIresetIPMIresetIPMISessiontestIPMIhttptestIPMIpasswordtestIPMIpingvirtualMacAddvirtualMacDeletelast update
Whether this task need to be scheduled or not
Extra information about this task
ID of the planned intervention for this task
Task Creation date
Task status
cancelledcustomerErrordoingdoneinitovhErrortodoTask result tags output
the id of the task
Reference of the thread on the support tool
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dedicated/ server/ {serviceName}/ ola/ reset \
-H "authorization: Bearer $OVH_TOKEN"{ "changeUuid": "string", "comment": "string", "doneDate": "2024-01-01T12:00:00Z", "function": "INFRA_002_VirtualNetworkInterface", "lastUpdate": "2024-01-01T12:00:00Z", "needSchedule": true, "note": "string", "plannedInterventionId": 0, "startDate": "2024-01-01T12:00:00Z", "status": "cancelled", "tags": [ { "key": "string", "value": "string" } ], "taskId": 0, "ticketReference": "string"}
Ungroup a network interfaceDeprecated
Deprecated since Jan 7, 2021, will be removed on Apr 7, 2021 — use /dedicated/server/{serviceName}/ola/reset instead.
Ungroup a network interface. Ungroups a virtual network interface and returns a list of tasks. Deprecated: use /dedicated/server/{serviceName}/ola/reset instead.
Path parameters
The internal name of your dedicated server
Request body (required)
Interface to ungroup
Response
UUID of the change linked to this task
Details of this task
Completion date
Function name
INFRA_002_VirtualNetworkInterfaceINFRA_002_VirtualNetworkInterface_groupINFRA_002_VirtualNetworkInterface_ungroupINFRA_ONE_NETWORK_ONEAPI_VirtualNetworkInterface_groupINFRA_ONE_NETWORK_ONEAPI_VirtualNetworkInterface_ungroupINFRA_ONE_NETWORK_VirtualNetworkInterface_groupINFRA_ONE_NETWORK_VirtualNetworkInterface_ungroupaddVirtualMacaddWindowSplaFromExistingSerialapplyBackupFtpAclsapplyBackupFtpQuotabypassAntiDDosGamechangePasswordBackupFTPchangeRipeOrgcheckAndReleaseIpcreateBackupFTPcreateOrUpdateRipeOrgcreatePrivateNetworkdisableFirewallenableFirewallgenericMoveFloatingIphardReboothardware_updateipmi/configureSGXmigrateBackupFTPmoveFloatingIpmoveVirtualMacreagregateBlockrebootPower8ToreinstallServerreleaseIpremoveBackupFTPremoveVirtualMacrequestAccessIPMIresetIPMIresetIPMISessiontestIPMIhttptestIPMIpasswordtestIPMIpingvirtualMacAddvirtualMacDeletelast update
Whether this task need to be scheduled or not
Extra information about this task
ID of the planned intervention for this task
Task Creation date
Task status
cancelledcustomerErrordoingdoneinitovhErrortodoTask result tags output
the id of the task
Reference of the thread on the support tool
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dedicated/ server/ {serviceName}/ ola/ ungroup \
-H "authorization: Bearer $OVH_TOKEN"[ { "changeUuid": "string", "comment": "string", "doneDate": "2024-01-01T12:00:00Z", "function": "INFRA_002_VirtualNetworkInterface", "lastUpdate": "2024-01-01T12:00:00Z", "needSchedule": true, "note": "string", "plannedInterventionId": 0, "startDate": "2024-01-01T12:00:00Z", "status": "cancelled", "tags": [ { "key": "string", "value": "string" } ], "taskId": 0, "ticketReference": "string" }]
List network interface controllersBeta
List network interface controllers. Returns the MAC addresses of the network interface controllers of the server. Filter them by link type with the linkType parameter.
Path parameters
The internal name of your dedicated server
Query parameters
Filter the value of linkType property (=)
isolatedprivateprivate_lagprovisioningprovisioning_lagpublicpublic_lagResponse
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dedicated/ server/ {serviceName}/ networkInterfaceController \
-H "authorization: Bearer $OVH_TOKEN"[ "00:00:5e:00:53:01"]
Get a network interface controllerBeta
Get a network interface controller. Returns the MAC address of a network interface controller, its link type, such as public, private or isolated, and the virtual network interface bound to it.
Path parameters
NetworkInterfaceController mac
The internal name of your dedicated server
Response
NetworkInterfaceController linkType
isolatedprivateprivate_lagprovisioningprovisioning_lagpublicpublic_lagNetworkInterfaceController mac
VirtualNetworkInterface bound to this NetworkInterfaceController
Example uses mac = 00:00:5e:00:53:01, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dedicated/ server/ {serviceName}/ networkInterfaceController/ {mac} \
-H "authorization: Bearer $OVH_TOKEN"{ "linkType": "isolated", "mac": "00:00:5e:00:53:01", "virtualNetworkInterface": "00000000-0000-0000-0000-000000000000"}
Get interface traffic statisticsBeta
Get interface traffic statistics. Returns timestamped values for one network interface controller, for the requested type and period. Types cover traffic, packets and errors, for download and upload.
Path parameters
NetworkInterfaceController mac
The internal name of your dedicated server
Query parameters
mrtg period
dailyhourlymonthlyweeklyyearlymrtg type
errors:downloaderrors:uploadpackets:downloadpackets:uploadtraffic:downloadtraffic:uploadResponse
A numeric value tagged with its unit
Example uses mac = 00:00:5e:00:53:01, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dedicated/ server/ {serviceName}/ networkInterfaceController/ {mac}/ mrtg \
-H "authorization: Bearer $OVH_TOKEN"[ { "timestamp": 0, "value": { "unit": "string", "value": 0 } }]
Get a virtual network interfaceProduction
Returns a virtual network interface from its UUID alone, without the server name in the path. The response includes the server it is bound to, its mode, its vRack and its network interface controllers.
Path parameters
Uuid
Response
VirtualNetworkInterface activation state
Available VirtualNetworkInterface modes
publicpublic_aggregationvrackvrack_aggregationUser defined VirtualNetworkInterface name
NetworkInterfaceControllers bound to this VirtualNetworkInterface
Server bound to this VirtualNetworkInterface
VirtualNetworkInterface unique id
vRack name
Example uses uuid = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dedicated/ server/ virtualNetworkInterface/ {uuid} \
-H "authorization: Bearer $OVH_TOKEN"{ "enabled": true, "mode": "public", "name": "string", "networkInterfaceController": [ "string" ], "serverName": "string", "uuid": "00000000-0000-0000-0000-000000000000", "vrack": "string"}
List virtual network interfacesBeta
List virtual network interfaces. Returns the UUIDs of the virtual network interfaces of the server. Filter them by enabled, mode, vrack or name.
Path parameters
The internal name of your dedicated server
Query parameters
Filter the value of enabled property (=)
Filter the value of mode property (=)
publicpublic_aggregationvrackvrack_aggregationFilter the value of name property (=)
Filter the value of vrack property (=)
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dedicated/ server/ {serviceName}/ virtualNetworkInterface \
-H "authorization: Bearer $OVH_TOKEN"[ "00000000-0000-0000-0000-000000000000"]
Get a virtual network interfaceBeta
Get a virtual network interface. Returns the name, mode, activation state and vRack of a virtual network interface, and the network interface controllers bound to it.
Path parameters
The internal name of your dedicated server
VirtualNetworkInterface unique id
Response
VirtualNetworkInterface activation state
VirtualNetworkInterface mode
publicpublic_aggregationvrackvrack_aggregationUser defined VirtualNetworkInterface name
NetworkInterfaceControllers bound to this VirtualNetworkInterface
Server bound to this VirtualNetworkInterface
VirtualNetworkInterface unique id
vRack name
Example uses serviceName = string, uuid = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dedicated/ server/ {serviceName}/ virtualNetworkInterface/ {uuid} \
-H "authorization: Bearer $OVH_TOKEN"{ "enabled": true, "mode": "public", "name": "string", "networkInterfaceController": [ "00:00:5e:00:53:01" ], "serverName": "string", "uuid": "00000000-0000-0000-0000-000000000000", "vrack": "string"}
Update a virtual network interfaceDeprecated
Deprecated since Jan 7, 2021, will be removed on Apr 7, 2021 — use /dedicated/server/{serviceName}/ola/aggregation instead.
Update a virtual network interface. Updates the name or the mode of a virtual network interface. Deprecated: use /dedicated/server/{serviceName}/ola/aggregation instead.
Path parameters
The internal name of your dedicated server
VirtualNetworkInterface unique id
Request body (required)
VirtualNetworkInterface activation state
VirtualNetworkInterface mode
publicpublic_aggregationvrackvrack_aggregationUser defined VirtualNetworkInterface name
NetworkInterfaceControllers bound to this VirtualNetworkInterface
Server bound to this VirtualNetworkInterface
VirtualNetworkInterface unique id
vRack name
Response
Example uses serviceName = string, uuid = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dedicated/ server/ {serviceName}/ virtualNetworkInterface/ {uuid} \
-H "authorization: Bearer $OVH_TOKEN"Disable a virtual network interfaceDeprecated
Deprecated since Jan 7, 2021, will be removed on Apr 7, 2021 — use /dedicated/server/{serviceName}/ola/aggregation instead.
Disable a virtual network interface. Disables the virtual network interface and returns a task. Deprecated: use /dedicated/server/{serviceName}/ola/aggregation instead.
Path parameters
The internal name of your dedicated server
VirtualNetworkInterface unique id
Response
UUID of the change linked to this task
Details of this task
Completion date
Function name
INFRA_002_VirtualNetworkInterfaceINFRA_002_VirtualNetworkInterface_groupINFRA_002_VirtualNetworkInterface_ungroupINFRA_ONE_NETWORK_ONEAPI_VirtualNetworkInterface_groupINFRA_ONE_NETWORK_ONEAPI_VirtualNetworkInterface_ungroupINFRA_ONE_NETWORK_VirtualNetworkInterface_groupINFRA_ONE_NETWORK_VirtualNetworkInterface_ungroupaddVirtualMacaddWindowSplaFromExistingSerialapplyBackupFtpAclsapplyBackupFtpQuotabypassAntiDDosGamechangePasswordBackupFTPchangeRipeOrgcheckAndReleaseIpcreateBackupFTPcreateOrUpdateRipeOrgcreatePrivateNetworkdisableFirewallenableFirewallgenericMoveFloatingIphardReboothardware_updateipmi/configureSGXmigrateBackupFTPmoveFloatingIpmoveVirtualMacreagregateBlockrebootPower8ToreinstallServerreleaseIpremoveBackupFTPremoveVirtualMacrequestAccessIPMIresetIPMIresetIPMISessiontestIPMIhttptestIPMIpasswordtestIPMIpingvirtualMacAddvirtualMacDeletelast update
Whether this task need to be scheduled or not
Extra information about this task
ID of the planned intervention for this task
Task Creation date
Task status
cancelledcustomerErrordoingdoneinitovhErrortodoTask result tags output
the id of the task
Reference of the thread on the support tool
Example uses serviceName = string, uuid = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dedicated/ server/ {serviceName}/ virtualNetworkInterface/ {uuid}/ disable \
-H "authorization: Bearer $OVH_TOKEN"{ "changeUuid": "string", "comment": "string", "doneDate": "2024-01-01T12:00:00Z", "function": "INFRA_002_VirtualNetworkInterface", "lastUpdate": "2024-01-01T12:00:00Z", "needSchedule": true, "note": "string", "plannedInterventionId": 0, "startDate": "2024-01-01T12:00:00Z", "status": "cancelled", "tags": [ { "key": "string", "value": "string" } ], "taskId": 0, "ticketReference": "string"}
Enable a virtual network interfaceDeprecated
Deprecated since Jan 7, 2021, will be removed on Apr 7, 2021 — use /dedicated/server/{serviceName}/ola/aggregation instead.
Enable a virtual network interface. Enables the virtual network interface and returns a task. Deprecated: use /dedicated/server/{serviceName}/ola/aggregation instead.
Path parameters
The internal name of your dedicated server
VirtualNetworkInterface unique id
Response
UUID of the change linked to this task
Details of this task
Completion date
Function name
INFRA_002_VirtualNetworkInterfaceINFRA_002_VirtualNetworkInterface_groupINFRA_002_VirtualNetworkInterface_ungroupINFRA_ONE_NETWORK_ONEAPI_VirtualNetworkInterface_groupINFRA_ONE_NETWORK_ONEAPI_VirtualNetworkInterface_ungroupINFRA_ONE_NETWORK_VirtualNetworkInterface_groupINFRA_ONE_NETWORK_VirtualNetworkInterface_ungroupaddVirtualMacaddWindowSplaFromExistingSerialapplyBackupFtpAclsapplyBackupFtpQuotabypassAntiDDosGamechangePasswordBackupFTPchangeRipeOrgcheckAndReleaseIpcreateBackupFTPcreateOrUpdateRipeOrgcreatePrivateNetworkdisableFirewallenableFirewallgenericMoveFloatingIphardReboothardware_updateipmi/configureSGXmigrateBackupFTPmoveFloatingIpmoveVirtualMacreagregateBlockrebootPower8ToreinstallServerreleaseIpremoveBackupFTPremoveVirtualMacrequestAccessIPMIresetIPMIresetIPMISessiontestIPMIhttptestIPMIpasswordtestIPMIpingvirtualMacAddvirtualMacDeletelast update
Whether this task need to be scheduled or not
Extra information about this task
ID of the planned intervention for this task
Task Creation date
Task status
cancelledcustomerErrordoingdoneinitovhErrortodoTask result tags output
the id of the task
Reference of the thread on the support tool
Example uses serviceName = string, uuid = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dedicated/ server/ {serviceName}/ virtualNetworkInterface/ {uuid}/ enable \
-H "authorization: Bearer $OVH_TOKEN"{ "changeUuid": "string", "comment": "string", "doneDate": "2024-01-01T12:00:00Z", "function": "INFRA_002_VirtualNetworkInterface", "lastUpdate": "2024-01-01T12:00:00Z", "needSchedule": true, "note": "string", "plannedInterventionId": 0, "startDate": "2024-01-01T12:00:00Z", "status": "cancelled", "tags": [ { "key": "string", "value": "string" } ], "taskId": 0, "ticketReference": "string"}
Get the bandwidth burstProduction
Get the bandwidth burst. Returns the burst status of the server bandwidth and its burst capacity. The status is active, inactive, or inactiveLocked when burst is temporarily disabled due to overuse.
Path parameters
The internal name of your dedicated server
Response
Bandwidth busrt capacity
indicates whether burstable bandwidth is currently active, allowing it to temporarily exceed the normally included bandwidth.OvhToInternet amount, within the limits indicated by the burst.capacity item. It can also be inactiveLocked when temporarily disabled due to overuse, capping it to the included non-burstable bandwidth capacity of bandwidth.OvhToInternet
activeinactiveinactiveLockedExample uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dedicated/ server/ {serviceName}/ burst \
-H "authorization: Bearer $OVH_TOKEN"{ "capacity": { "unit": "string", "value": 0 }, "status": "active"}
Update the bandwidth burstProduction
Update the bandwidth burst. Updates the burst status of the server bandwidth. When active, the bandwidth can temporarily exceed the included OvhToInternet amount, within the burst capacity.
Path parameters
The internal name of your dedicated server
Request body (required)
Bandwidth busrt capacity
indicates whether burstable bandwidth is currently active, allowing it to temporarily exceed the normally included bandwidth.OvhToInternet amount, within the limits indicated by the burst.capacity item. It can also be inactiveLocked when temporarily disabled due to overuse, capping it to the included non-burstable bandwidth capacity of bandwidth.OvhToInternet
activeinactiveinactiveLockedResponse
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dedicated/ server/ {serviceName}/ burst \
-H "authorization: Bearer $OVH_TOKEN"List secondary DNS domainsProduction
List secondary DNS domains. Returns the names of the domains declared on the secondary DNS of the server.
Path parameters
The internal name of your dedicated server
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dedicated/ server/ {serviceName}/ secondaryDnsDomains \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Create a secondary DNS domainProduction
Create a secondary DNS domain. Adds a domain to the secondary DNS of the server, with its ip, which is required. The domain must first be verified with the TXT record given by secondaryDnsNameDomainToken.
Path parameters
The internal name of your dedicated server
Request body (required)
The domain to add
IPv4 address (e.g., 192.0.2.0)
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dedicated/ server/ {serviceName}/ secondaryDnsDomains \
-H "authorization: Bearer $OVH_TOKEN"Get a secondary DNS domainProduction
Get a secondary DNS domain. Returns the domain, the secondary DNS server that hosts it, its master IPv4 address and its creation date.
Path parameters
Domain on slave server
The internal name of your dedicated server
Response
Secondary DNS server
Domain on slave server
Master IPv4 address
Example uses domain = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dedicated/ server/ {serviceName}/ secondaryDnsDomains/ {domain} \
-H "authorization: Bearer $OVH_TOKEN"{ "creationDate": "2024-01-01T12:00:00Z", "dns": "string", "domain": "string", "ipMaster": "192.0.2.0"}
Delete a secondary DNS domainProduction
Delete a secondary DNS domain. Removes the domain from the secondary DNS of the server. The call returns no content.
Path parameters
Domain on slave server
The internal name of your dedicated server
Response
Example uses domain = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dedicated/ server/ {serviceName}/ secondaryDnsDomains/ {domain} \
-H "authorization: Bearer $OVH_TOKEN"Update a secondary DNS domainProduction
Update a secondary DNS domain. Updates the master IPv4 address targeted by the domain on the secondary DNS. It is the only field that can be changed.
Path parameters
Domain on slave server
The internal name of your dedicated server
Request body (required)
Secondary DNS server
Domain on slave server
Master IPv4 address
Response
Example uses domain = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dedicated/ server/ {serviceName}/ secondaryDnsDomains/ {domain} \
-H "authorization: Bearer $OVH_TOKEN"Get the domain DNS serverProduction
Get the domain DNS server. Returns the secondary DNS server of the domain: its hostname and its IPv4 and IPv6 addresses.
Path parameters
Domain on slave server
The internal name of your dedicated server
Response
the name server
IPv4 address (e.g., 192.0.2.0)
IPv6 address (e.g., 2001:41d0:1:1994::1)
Example uses domain = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dedicated/ server/ {serviceName}/ secondaryDnsDomains/ {domain}/ dnsServer \
-H "authorization: Bearer $OVH_TOKEN"{ "hostname": "string", "ip": "192.0.2.0", "ipv6": "2001:41d0:1:1994::1"}
Get the domain verification recordProduction
Get the domain verification record. Returns the DNS record to add temporarily to the zone of a domain, so that ownership of the domain can be verified. The record is given as a subdomain, a field type and a field value.
Path parameters
The internal name of your dedicated server
Query parameters
The domain to check
Response
The field type to add on your DNS zone for this subDomain
AAAAACAACNAMEDKIMDMARCDNAMELOCMXNAPTRNSPTRSPFSRVSSHFPTLSATXTThe field value to add on your DNS zone for this subDomain
The subdomain to add on your DNS zone for the domain
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dedicated/ server/ {serviceName}/ secondaryDnsNameDomainToken \
-H "authorization: Bearer $OVH_TOKEN"{ "fieldType": "A", "fieldValue": "string", "subDomain": "string"}
Get the available secondary name serverProduction
Get the available secondary name server. Returns the secondary name server available for the server: its hostname and its IPv4 and IPv6 addresses.
Path parameters
The internal name of your dedicated server
Response
the name server
IPv4 address (e.g., 192.0.2.0)
IPv6 address (e.g., 2001:41d0:1:1994::1)
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dedicated/ server/ {serviceName}/ secondaryDnsNameServerAvailable \
-H "authorization: Bearer $OVH_TOKEN"{ "hostname": "string", "ip": "192.0.2.0", "ipv6": "2001:41d0:1:1994::1"}
Get the network configurationBeta
Get the network configuration. Returns the network configuration of the server: its interfaces or interface aggregations, and the status of the current operation, deploying or active.
Path parameters
The internal name of your dedicated server
Response
Operation description
Interface or interfaces aggregation
Operation status
activedeployingExample uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dedicated/ server/ {serviceName}/ networking \
-H "authorization: Bearer $OVH_TOKEN"{ "description": "string", "interfaces": [ { "aggregationFallback": "00:00:5e:00:53:01", "macs": [ "00:00:5e:00:53:01" ], "type": "public" } ], "status": "active"}
Get server traffic statisticsDeprecated
Deprecated since Oct 22, 2017, will be removed on Apr 22, 2018 — use /dedicated/server/{serviceName}/networkInterfaceController instead.
Get server traffic statistics. Returns timestamped values of the server traffic, packets or errors, for the requested type and period. Deprecated: use /dedicated/server/{serviceName}/networkInterfaceController instead.
Path parameters
The internal name of your dedicated server
Query parameters
mrtg period
dailyhourlymonthlyweeklyyearlymrtg type
errors:downloaderrors:uploadpackets:downloadpackets:uploadtraffic:downloadtraffic:uploadResponse
A numeric value tagged with its unit
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dedicated/ server/ {serviceName}/ mrtg \
-H "authorization: Bearer $OVH_TOKEN"[ { "timestamp": 0, "value": { "unit": "string", "value": 0 } }]